---
title: CSS Ruby Layout
slug: Web/CSS/CSS_Ruby
tags:
  - CSS
  - CSS Ruby
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Ruby Layout</strong> is a module of <a href="/en-US/docs/Web/CSS">CSS</a> that provides the rendering model and formatting controls related to the display of ruby annotation. Ruby annotation is a form of interlinear annotation, consisting of short runs of text alongside the base text. They are typically used in East Asian documents to indicate pronunciation or to provide a short annotation.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("ruby-align")}}</li>
 <li>{{cssxref("ruby-position")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Ruby')}}</td>
   <td>{{Spec2('CSS3 Ruby')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
